Regulatory
Create document
Create a regulatory document record after uploading the file. Use the upload-url endpoint first to get an upload URL.
POST
/
v1
/
documents
Create document
curl --request POST \
--url https://api.zavu.dev/v1/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Passport Scan",
"documentType": "passport",
"storageId": "kg2abc123...",
"mimeType": "image/jpeg",
"fileSize": 102400
}
'import requests
url = "https://api.zavu.dev/v1/documents"
payload = {
"name": "Passport Scan",
"documentType": "passport",
"storageId": "kg2abc123...",
"mimeType": "image/jpeg",
"fileSize": 102400
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Passport Scan',
documentType: 'passport',
storageId: 'kg2abc123...',
mimeType: 'image/jpeg',
fileSize: 102400
})
};
fetch('https://api.zavu.dev/v1/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"mimeType": "<string>",
"fileSize": 123,
"rejectionReason": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
200Available options:
passport, national_id, drivers_license, utility_bill, tax_id, business_registration, proof_of_address, other Storage ID from the upload-url endpoint.
Response
Document created and uploaded to verification provider.
A regulatory document for phone number requirements.
Show child attributes
Show child attributes
⌘I
Create document
